| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces
OgreRenderable.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreGpuProgram.h"`
`#include "OgreGpuProgramParams.h"`
`#include "OgreMatrix4.h"`
`#include "OgreMaterial.h"`
`#include "OgrePlane.h"`
`#include "OgreVector4.h"`
`#include "OgreException.h"`
`#include "OgreUserObjectBindings.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::Renderable
| Abstract class defining the interface all renderable objects must implement. More...
class | Ogre::Renderable::RenderSystemData
| An internal class that should be used only by a render system for internal use. More...
class | Ogre::Renderable::Visitor
| Visitor object that can be used to iterate over a collection of Renderable instances abstractly. More...

## Namespaces
| Ogre